Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157363 - Need to track IP address of request in tomcat logs
Summary: Need to track IP address of request in tomcat logs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site
Version: rhn400
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike McCune
QA Contact: Robin Norwood
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-10 21:59 UTC by Mike McCune
Modified: 2007-04-18 17:25 UTC (History)
1 user (show)

Fixed In Version: RHN 4.0.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-31 21:29:50 UTC


Attachments (Terms of Use)

Description Mike McCune 2005-05-10 21:59:33 UTC
Currently it only shows the MODJK address and not the request IP.  Need to see
if there is a way we can forward this addr to tomcat.

Comment 1 Jesus M. Rodriguez 2005-07-06 14:17:26 UTC
This may be a non issue now since the Java boxes will have Apache running on 
them as well.  When this bug was written we had apache, mod_perl and mod_jk 
installed on one box, then tomcat on another sitting behind the perl box. 
This is no longer
the case.

The current architecture puts the java boxes at the same level as the perl 
boxes. That is we have apache and mod_perl on the perl boxes (removed modjk). 
  Then added apacheee and modjk to the Java boxes.  So the ip addresses inside 
the catalina.out
file will be the ip of the apache process.  But the requests can also be 
logged through apache so I believe that makes this bug go away.

To verify look at rlx-2-10 in the /var/log/httpd directory for the information 
you seek.  rhnweb.back-webdev.redhat.com no longer has modjk on it.  I removed 
it last week.

Comment 2 Mike McCune 2005-07-06 18:00:56 UTC
Modified the apache configuration to include the requester's IP address in the
combined_log file.

In DEV you can see this in action on rlx-2-10.rhndev.redhat.com :
/var/log/httpd/combined_log

This is going to be included in the 7-7 QA push.

Comment 3 Fanny Augustin 2005-07-12 21:10:32 UTC
Does this bug need to be tested in our QA env?  If so, please provide a test
plan. Thanks!

Comment 4 Mike McCune 2005-07-13 00:11:56 UTC
TESTPLAN:

1) ssh root@rhnjava.back-webqa.redhat.com
2) tail -f /var/log/httpd/combined_log
3) Open browser and hit:

https://rhn.webqa.redhat.com/rhn/users/ActiveList.do
4) Verify in the tailed log that you get the below style output:

172.16.24.78 [12/Jul/2005:20:10:11 -0400] - "GET /rhn/users/ActiveList.do
HTTP/1.1" 200 72475 1 20204 "Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8)
Gecko/20050512 Red Hat/1.0.2 Firefox/1.0.4"
"https://rhn.webqa.redhat.com/rhn/systems/Overview.do"

where the first set of numbers listed is the IP address of your workstation
where you sent the request from.

FYI, I just ran through this exact TESTPLAN myself and it works fine.  


Comment 5 Bret McMillan 2005-07-26 01:13:25 UTC
Setting rnorwood as qa contact for java migration bugs

Comment 6 Robin Norwood 2005-07-26 16:25:52 UTC
works.  PROD_READY


Note You need to log in before you can comment on or make changes to this bug.